<?php
 // === Classe Personnel ===
 class Personnel
 { // -- Les propriétés --
   private $_nom   ;
   private $_prenom;
   private $_age;
   // -- Constructeur --
   function __construct($n,$p,$a) {
    $this->_nom=$n;$this->_prenom=$p;$this->_age=$a;
   }
   public function Affiche() {
    echo "Nom : ".$this->_nom." - "       ;
    echo "Prénom : ".$this->_prenom." - " ;
    echo "Age : ".$this->_age.PHP_EOL     ;
   }
   public function __call($NomF, $ArgsF) {
    echo "Appel de la méthode '$NomF' inexistante ! ".PHP_EOL;
    echo "Avec les arguments : ".implode($ArgsF,', ').PHP_EOL;
   }
 }
 // === Programme ===
 $UnePers = new Personnel("dupont","jean",23);
 $UnePers->Affiche();
 $UnePers->Modifie("dupont","durand","pierre",35);
?>
